package net.knarcraft.blacksmith.util;

import org.bukkit.Material;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;

/**
 * Tests for the ItemHelper class
 */
public class ItemHelperTest {

    @Test
    public void isAnvilRequiresDamagedTest() {
        assertTrue(ItemHelper.isAnvil(Material.DAMAGED_ANVIL, true));
        assertTrue(ItemHelper.isAnvil(Material.CHIPPED_ANVIL, true));

        assertFalse(ItemHelper.isAnvil(Material.ANVIL, true));
        assertFalse(ItemHelper.isAnvil(Material.POTATO, true));
        assertFalse(ItemHelper.isAnvil(Material.IRON_HOE, true));
    }

    @Test
    public void isAnvilTest() {
        assertTrue(ItemHelper.isAnvil(Material.ANVIL, false));
        assertTrue(ItemHelper.isAnvil(Material.DAMAGED_ANVIL, false));
        assertTrue(ItemHelper.isAnvil(Material.CHIPPED_ANVIL, false));

        assertFalse(ItemHelper.isAnvil(Material.POTATO, false));
        assertFalse(ItemHelper.isAnvil(Material.IRON_HOE, false));
    }

}
