package net.knarcraft.blacksmith.property;

/**
 * A representation of the different ways an item can be salvaged
 */
public enum SalvageMethod {

    /**
     * Salvaging the item normally by returning the item's crafting recipe
     */
    SALVAGE,

    /**
     * Removing the armor trim from an item
     */
    ARMOR_TRIM,

    /**
     * Un-doing netherite application for an item
     */
    NETHERITE,

}
